POST V1/ProAdminPaymentsReconcile.{ext}/InvoiceStatusReport

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.ProAdmin.Entities.CheckReconciliation
NameDescriptionTypeAdditional information
CheckNbr

No description available

string

None.

VendorName

No description available

string

None.

AcctNbr

No description available

string

None.

Status

No description available

string

None.

PaymentMethod

No description available

string

None.

Product

No description available

string

None.

Client

No description available

string

None.

FromSettlementDate

No description available

date

None.

ToSettlementDate

No description available

date

None.

FromClearedDate

No description available

date

None.

ToClearedDate

No description available

date

None.

BillTransactionId

No description available

string

None.

DisbursementAcc

No description available

string

None.

FundingStatemaneName

No description available

string

None.

PaymentCurrency

No description available

string

None.

FSType

No description available

string

None.

DaysOutstanding

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "checkNbr": "sample string 1",
  "vendorName": "sample string 2",
  "acctNbr": "sample string 3",
  "status": "sample string 4",
  "paymentMethod": "sample string 5",
  "product": "sample string 6",
  "client": "sample string 7",
  "fromSettlementDate": "2026-06-01T15:18:29.0882775-04:00",
  "toSettlementDate": "2026-06-01T15:18:29.0882775-04:00",
  "fromClearedDate": "2026-06-01T15:18:29.0882775-04:00",
  "toClearedDate": "2026-06-01T15:18:29.0882775-04:00",
  "billTransactionId": "sample string 8",
  "disbursementAcc": "sample string 9",
  "fundingStatemaneName": "sample string 10",
  "paymentCurrency": "sample string 11",
  "fsType": "sample string 12",
  "daysOutstanding": "sample string 13"
}

application/xml, text/xml

Sample:
<CheckReconciliation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.ProAdmin.Entities">
  <AcctNbr>sample string 3</AcctNbr>
  <BillTransactionId>sample string 8</BillTransactionId>
  <CheckNbr>sample string 1</CheckNbr>
  <Client>sample string 7</Client>
  <DaysOutstanding>sample string 13</DaysOutstanding>
  <DisbursementAcc>sample string 9</DisbursementAcc>
  <FSType>sample string 12</FSType>
  <FromClearedDate>2026-06-01T15:18:29.0882775-04:00</FromClearedDate>
  <FromSettlementDate>2026-06-01T15:18:29.0882775-04:00</FromSettlementDate>
  <FundingStatemaneName>sample string 10</FundingStatemaneName>
  <PaymentCurrency>sample string 11</PaymentCurrency>
  <PaymentMethod>sample string 5</PaymentMethod>
  <Product>sample string 6</Product>
  <Status>sample string 4</Status>
  <ToClearedDate>2026-06-01T15:18:29.0882775-04:00</ToClearedDate>
  <ToSettlementDate>2026-06-01T15:18:29.0882775-04:00</ToSettlementDate>
  <VendorName>sample string 2</VendorName>
</CheckReconciliation>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Data.DataTable
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

System.Data.DataTable

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "DataTable",
  "response": null,
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.